Bug 163577 - Kudzu fails to find serial modem during boot or running in shell
Kudzu fails to find serial modem during boot or running in shell
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kudzu (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-18 23:42 EDT by Colin Hawke
Modified: 2014-03-16 22:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:35:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Colin Hawke 2005-07-18 23:42:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-GB; rv:1.7.7) Gecko/20050414 Firefox/1.0.3

Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Start machine with modem on.
2.Attempt to configure modem in kppp
3.Run kudzu with modem off
4.Run kudzu with modem on
  

Actual Results:  Modem can't be found in kppp

Kudzu keeps asking for root password which it won't accept.

Expected Results:  Modem should be available for use.

Additional info:
Comment 1 Bill Nottingham 2005-07-19 13:59:20 EDT
kudzu doesn't ask for the root password - are you sure it's not kppp?
Comment 2 Colin Hawke 2005-07-19 19:50:52 EDT
No it's not kppp, it is kudzu being run in a shell. A message saying that kudzu
requires more information before it proceeds displays followed by a password:
prompt. The root password isn't accepted and the password: prompt re-appears.

Prior to Fedora Core 3, the modem installed perfectly on the same machine and
ran without any problems. Fedora Core 3 required a process of turning the modem
off, run Kudzu, turn modem on, run Kudzu, and then the modem would work. Fedora
4 - not detecting at all.
Comment 3 Bill Nottingham 2005-07-19 21:06:56 EDT
(In reply to comment #2)
> No it's not kppp, it is kudzu being run in a shell. A message saying that kudzu
> requires more information before it proceeds displays followed by a password:
> prompt. The root password isn't accepted and the password: prompt re-appears.

This is baffling. There's *nothing* in kudzu that would prompt for a password.
Comment 4 h4x3r 2005-07-20 21:51:29 EDT
Kudzu will in fact write data to hwconfig however, the driver is never loaded.
This makes me believe it may be the kernel not loading the correct data from
hwconfig.

however, as Colin Hawke pointed out, in my case, if there is a conflict of 
modules e,g; "nvidiafb and the official nvidia driver (currently) 7667" the 
system halts at Kudzu (on boot) and issues an error that you are trying to 
modify system-config-display "enter root password" which it will not allow you 
to enter a password and a system reboot is warranted.

The only way around this issue was to bypass kudzu and hand edit hwconf for the
official nvidia driver also having to delete the default nvidiafb module a
(conflict issue) if you will.

This is indeed not very good and yes, baffling.
Comment 5 Bill Nottingham 2005-09-28 17:29:47 EDT
Back to the original issue - what sort of modem? USB? Serial?

Comment 6 John Thacker 2006-05-05 16:35:26 EDT
Closing due to lack of response by reporter.

Note You need to log in before you can comment on or make changes to this bug.